Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.irc
Class IRCMessage

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--com.objexcel.irc.IRCMessage

public final class IRCMessage
extends java.awt.AWTEvent

IRCMessage contains the irc message data

See Also:
  Serialized Form

Field Summary
`int` | `cmdNum` the IRC command (either this or the command string will be present)
`java.lang.String` | `command` the IRC command (either this or the cmdnum will be present)
`IRCController` | `controller` the controller that created this message.
`static short` | `ERR_` - Returned to a client which is attempting to send a PRIVMSG/NOTICE using the user@host destination format and for a user@host which has several occurrences.
`static short` | `ERR_ALREADYREGISTRED` ":You may not reregister" - Returned by the server to any link which tries to change part of the registered details (such as password or user details from second USER message).
`static short` | `ERR_BADCHANNELKEY` " :Cannot join channel (+k)"
`static short` | `ERR_BANNEDFROMCHAN` " :Cannot join channel (+b)"
`static short` | `ERR_CANNOTSENDTOCHAN` " :Cannot send to channel" - Sent to a user who is either (a) not on a channel which is mode +n or (b) not a chanop (or mode +v) on a channel which has mode +m set and is trying to send a PRIVMSG message to that channel.
`static short` | `ERR_CANTKILLSERVER` ":You cant kill a server!" - Any attempts to use the KILL command on a server are to be refused and this error returned directly to the client.
`static short` | `ERR_CHANNELISFULL` " :Cannot join channel (+l)"
`static short` | `ERR_CHANOPRIVSNEEDED` " :You're not channel operator" - Any command requiring 'chanop' privileges (such as MODE messages) must return this error if the client making the attempt is not a chanop on the specified channel.
`static short` | `ERR_ERRONEUSNICKNAME` " :Erroneus nickname" - Returned after receiving a NICK message which contains characters which do not fall in the defined set.
`static short` | `ERR_FILEERROR` ":File error doing on " Generic error message used to report a failed file operation during the processing of a message.
`static short` | `ERR_INVITEONLYCHAN` " :Cannot join channel (+i)"
`static short` | `ERR_KEYSET` " :Channel key already set"
`static short` | `ERR_NEEDMOREPARAMS` " :Not enough parameters" - Returned by the server by numerous commands to indicate to the client that it didn't supply enough parameters.
`static short` | `ERR_NICKCOLLISION` " :Nickname collision KILL" - Returned by a server to a client when it detects a nickname collision (registered of a NICK that already exists by another server).
`static short` | `ERR_NICKNAMEINUSE` " :Nickname is already in use" - Returned when a NICK message is processed that results in an attempt to change to a currently existing nickname.
`static short` | `ERR_NOADMININFO` " :No administrative info available" - Returned by a server in response to an ADMIN message when there is an error in finding the appropriate information.
`static short` | `ERR_NOLOGIN` " :User not logged in" - Returned by the summon after a SUMMON command for a user was unable to be performed since they were not logged in.
`static short` | `ERR_NOMOTD` ":MOTD File is missing" - Server's MOTD file could not be opened by the server.
`static short` | `ERR_NONICKNAMEGIVEN` ":No nickname given" - Returned when a nickname parameter expected for a command and isn't found.
`static short` | `ERR_NOOPERHOST` ":No O-lines for your host" - If a client sends an OPER message and the server has not been configured to allow connections from the client's host as an operator, this error must be returned.
`static short` | `ERR_NOORIGIN` ":No origin specified" - PING or PONG message missing the originator parameter which is required since these commands must work without valid prefixes.
`static short` | `ERR_NOPERMFORHOST` ":Your host isn't among the privileged" - Returned to a client which attempts to register with a server which does not been setup to allow connections from the host the attempted connection is tried.
`static short` | `ERR_NOPRIVILEGES` ":Permission Denied- You're not an IRC operator" - Any command requiring operator privileges to operate must return this error to indicate the attempt was unsuccessful.
`static short` | `ERR_NORECIPIENT` ":No recipient given ()"
`static short` | `ERR_NOSUCHCHANNEL` " :No such channel" - Used to indicate the given channel name is invalid.
`static short` | `ERR_NOSUCHNICK` " :No such nick/channel" - Used to indicate the nickname parameter supplied to a command is currently unused.
`static short` | `ERR_NOSUCHSERVER` " :No such server" - Used to indicate the server name given currently doesn't exist.
`static short` | `ERR_NOTEXTTOSEND` ":No text to send"
`static short` | `ERR_NOTONCHANNEL` " :You're not on that channel" - Returned by the server whenever a client tries to perform a channel effecting command for which the client isn't a member.
`static short` | `ERR_NOTOPLEVEL` " :No toplevel domain specified"
`static short` | `ERR_NOTREGISTERED` ":You have not registered" - Returned by the server to indicate that the client must be registered before the server will allow it to be parsed in detail.
`static short` | `ERR_PASSWDMISMATCH` ":Password incorrect" - Returned to indicate a failed attempt at registering a connection for which a password was required and was either not given or incorrect.
`static short` | `ERR_SUMMONDISABLED` ":SUMMON has been disabled" - Returned as a response to the SUMMON command.
`static short` | `ERR_TOOMANYCHANNELS` " :You have joined too many \ channels" - Sent to a user when they have joined the maximum number of allowed channels and they try to join another channel.
`static short` | `ERR_TOOMANYTARGETS` " :Duplicate recipients.
`static short` | `ERR_UMODEUNKNOWNFLAG` ":Unknown MODE flag" - Returned by the server to indicate that a MODE message was sent with a nickname parameter and that the a mode flag sent was not recognized.
`static short` | `ERR_UNKNOWNCOMMAND` " :Unknown command" - Returned to a registered client to indicate that the command sent is unknown by the server.
`static short` | `ERR_UNKNOWNMODE` " :is unknown mode char to me"
`static short` | `ERR_USERNOTINCHANNEL` " :They aren't on that channel" - Returned by the server to indicate that the target user of the command is not on the given channel.
`static short` | `ERR_USERONCHANNEL` " :is already on channel" - Returned when a client tries to invite a user to a channel they are already on.
`static short` | `ERR_USERSDISABLED` ":USERS has been disabled" - Returned as a response to the USERS command.
`static short` | `ERR_USERSDONTMATCH` ":Cant change mode for other users" - Error sent to any user trying to view or change the user mode for a user other than themselves.
`static short` | `ERR_WASNOSUCHNICK` " :There was no such nickname" - Returned by WHOWAS to indicate there is no history information for that nickname.
`static short` | `ERR_WILDTOPLEVEL` " :Wildcard in toplevel domain" - 412 - 414 are returned by PRIVMSG to indicate that the message wasn't delivered for some reason.
`static short` | `ERR_YOUREBANNEDCREEP` ":You are banned from this server" - Returned after an attempt to connect and register yourself with a server which has been setup to explicitly deny connections to you.
`static int` | `ERRORLEVEL` something bad, but not fatal occurred.
`static int` | `FATALLEVEL` something causing the end of an irc session (the worst thing possible in our world!) has occurred.
`static int` | `GENERAL` an event id
`java.lang.String` | `host` the host of the user sending the message, optional
`static int` | `INFOLEVEL` this Objirc Chat message if information only
`java.lang.String` | `lowerNick` same as nickname but in lower case (for efficiency), optional
`java.lang.String` | `nickname` the nickname of the user sending the message, optional (i.e.
`int` | `nInfoLevel` if this is an objirc chat info event, then this is the 'criticality' of it per the level constants.
`java.lang.String` | `ObjircInfo` String Objirc info (message comes from this app, not a server)
`static int` | `OBJIRCINFO` the event id if this message is information sent by objirc chat
`java.lang.String` | `params` everything after the command
`java.lang.String` | `parseError` If this message is for a parse error, this field describes what Objirc chat could not parse.
`static int` | `PARSEERROR` the event id if OBjirc chat couldn't parse an IRC message
`java.lang.String` | `rawMessage` the original message in itsraw form
`static short` | `RPL_ADMINEMAIL`
`static short` | `RPL_ADMINLOC1`
`static short` | `RPL_ADMINLOC2`
`static short` | `RPL_ADMINME`
`static short` | `RPL_AWAY`
`static short` | `RPL_BANLIST`
`static short` | `RPL_CHANNELMODEIS`
`static short` | `RPL_CLOSEEND`
`static short` | `RPL_CLOSING`
`static short` | `RPL_ENDOFBANLIST`
`static short` | `RPL_ENDOFINFO`
`static short` | `RPL_ENDOFLINKS`
`static short` | `RPL_ENDOFMOTD`
`static short` | `RPL_ENDOFNAMES`
`static short` | `RPL_ENDOFSERVICES`
`static short` | `RPL_ENDOFSTATS`
`static short` | `RPL_ENDOFUSERS`
`static short` | `RPL_ENDOFWHO`
`static short` | `RPL_ENDOFWHOIS`
`static short` | `RPL_ENDOFWHOWAS`
`static short` | `RPL_INFO`
`static short` | `RPL_INFOSTART`
`static short` | `RPL_INVITING`
`static short` | `RPL_ISON`
`static short` | `RPL_KILLDONE`
`static short` | `RPL_LINKS`
`static short` | `RPL_LIST`
`static short` | `RPL_LISTEND`
`static short` | `RPL_LISTSTART`
`static short` | `RPL_LUSERCHANNELS`
`static short` | `RPL_LUSERCLIENT`
`static short` | `RPL_LUSERME`
`static short` | `RPL_LUSEROP`
`static short` | `RPL_LUSERUNKNOWN`
`static short` | `RPL_MOTD`
`static short` | `RPL_MOTDSTART`
`static short` | `RPL_MYPORTIS`
`static short` | `RPL_NAMREPLY`
`static short` | `RPL_NONE`
`static short` | `RPL_NOTOPIC`
`static short` | `RPL_NOUSERS`
`static short` | `RPL_NOWAWAY`
`static short` | `RPL_REHASHING`
`static short` | `RPL_SERVICE`
`static short` | `RPL_SERVICEINFO`
`static short` | `RPL_SERVLIST`
`static short` | `RPL_SERVLISTEND`
`static short` | `RPL_STATSCLINE`
`static short` | `RPL_STATSCOMMANDS`
`static short` | `RPL_STATSHLINE`
`static short` | `RPL_STATSILINE`
`static short` | `RPL_STATSKLINE`
`static short` | `RPL_STATSLINKINFO`
`static short` | `RPL_STATSLLINE`
`static short` | `RPL_STATSNLINE`
`static short` | `RPL_STATSOLINE`
`static short` | `RPL_STATSQLINE`
`static short` | `RPL_STATSUPTIME`
`static short` | `RPL_STATSYLINE`
`static short` | `RPL_SUMMONING`
`static short` | `RPL_TIME`
`static short` | `RPL_TOPIC`
`static short` | `RPL_TOPICWHOTIME`
`static short` | `RPL_TRACECLASS`
`static short` | `RPL_TRACECONNECTING`
`static short` | `RPL_TRACEHANDSHAKE`
`static short` | `RPL_TRACELINK`
`static short` | `RPL_TRACELOG`
`static short` | `RPL_TRACENEWTYPE`
`static short` | `RPL_TRACEOPERATOR`
`static short` | `RPL_TRACESERVER`
`static short` | `RPL_TRACEUNKNOWN`
`static short` | `RPL_TRACEUSER`
`static short` | `RPL_UMODEIS`
`static short` | `RPL_UNAWAY`
`static short` | `RPL_USERHOST`
`static short` | `RPL_USERS`
`static short` | `RPL_USERSSTART`
`static short` | `RPL_VERSION`
`static short` | `RPL_WELCOME`
`static short` | `RPL_WHOISCHANNELS`
`static short` | `RPL_WHOISCHANOP`
`static short` | `RPL_WHOISIDLE`
`static short` | `RPL_WHOISOPERATOR`
`static short` | `RPL_WHOISSERVER`
`static short` | `RPL_WHOISUSER`
`static short` | `RPL_WHOREPLY`
`static short` | `RPL_WHOWASUSER`
`static short` | `RPL_YOUREOPER`
`java.lang.String` | `serverName` name of the server, if this is a server sent message
`static int` | `SESSIONCONNECTING` the event id if this message is telling us the irc session is connecting
`static int` | `SESSIONSTARTED` the event id if this message is telling us the irc session has connected
`static int` | `SESSIONTERMINATED` the event id if this message is telling us the irc session was terminated i.e.
`java.lang.String` | `user` the user (i.e.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Constructor Summary
`IRCMessage(IRCController controller, int id)`

Methods inherited from class java.awt.AWTEvent
`getID, paramString, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### controller

    public IRCController controller

  the controller that created this message.

### rawMessage

    public java.lang.String rawMessage

  the original message in itsraw form

### parseError

    public java.lang.String parseError

  If this message is for a parse error, this field describes what Objirc chat could not parse.

### ObjircInfo

    public java.lang.String ObjircInfo

  String Objirc info (message comes from this app, not a server)

### nInfoLevel

    public int nInfoLevel

  if this is an objirc chat info event, then this is the 'criticality' of it per the level constants.

### INFOLEVEL

    public static final int INFOLEVEL

  this Objirc Chat message if information only

### ERRORLEVEL

    public static final int ERRORLEVEL

  something bad, but not fatal occurred.

### FATALLEVEL

    public static final int FATALLEVEL

  something causing the end of an irc session (the worst thing possible in our world!) has occurred.

### nickname

    public java.lang.String nickname

  the nickname of the user sending the message, optional (i.e. not present if the message is from a server)

### lowerNick

    public java.lang.String lowerNick

  same as nickname but in lower case (for efficiency), optional

### user

    public java.lang.String user

  the user (i.e. logged on name on the users host per IdentD) sending the message, optional. Not the nick!

### host

    public java.lang.String host

  the host of the user sending the message, optional

### serverName

    public java.lang.String serverName

  name of the server, if this is a server sent message

### command

    public java.lang.String command

  the IRC command (either this or the cmdnum will be present)

### cmdNum

    public int cmdNum

  the IRC command (either this or the command string will be present)

### params

    public java.lang.String params

  everything after the command

### GENERAL

    public static final int GENERAL

  an event id

### OBJIRCINFO

    public static final int OBJIRCINFO

  the event id if this message is information sent by objirc chat

### SESSIONCONNECTING

    public static final int SESSIONCONNECTING

  the event id if this message is telling us the irc session is connecting

### SESSIONSTARTED

    public static final int SESSIONSTARTED

  the event id if this message is telling us the irc session has connected

### SESSIONTERMINATED

    public static final int SESSIONTERMINATED

  the event id if this message is telling us the irc session was terminated i.e. socket closed

### PARSEERROR

    public static final int PARSEERROR

  the event id if OBjirc chat couldn't parse an IRC message

### RPL_WELCOME

    public static final short RPL_WELCOME

### RPL_ADMINEMAIL

    public static final short RPL_ADMINEMAIL

### RPL_ADMINLOC1

    public static final short RPL_ADMINLOC1

### RPL_ADMINLOC2

    public static final short RPL_ADMINLOC2

### RPL_ADMINME

    public static final short RPL_ADMINME

### RPL_AWAY

    public static final short RPL_AWAY

### RPL_BANLIST

    public static final short RPL_BANLIST

### RPL_CHANNELMODEIS

    public static final short RPL_CHANNELMODEIS

### RPL_CLOSEEND

    public static final short RPL_CLOSEEND

### RPL_CLOSING

    public static final short RPL_CLOSING

### RPL_ENDOFBANLIST

    public static final short RPL_ENDOFBANLIST

### RPL_ENDOFINFO

    public static final short RPL_ENDOFINFO

### RPL_ENDOFLINKS

    public static final short RPL_ENDOFLINKS

### RPL_ENDOFMOTD

    public static final short RPL_ENDOFMOTD

### RPL_ENDOFNAMES

    public static final short RPL_ENDOFNAMES

### RPL_ENDOFSERVICES

    public static final short RPL_ENDOFSERVICES

### RPL_ENDOFSTATS

    public static final short RPL_ENDOFSTATS

### RPL_ENDOFUSERS

    public static final short RPL_ENDOFUSERS

### RPL_ENDOFWHO

    public static final short RPL_ENDOFWHO

### RPL_ENDOFWHOIS

    public static final short RPL_ENDOFWHOIS

### RPL_ENDOFWHOWAS

    public static final short RPL_ENDOFWHOWAS

### RPL_INFO

    public static final short RPL_INFO

### RPL_INFOSTART

    public static final short RPL_INFOSTART

### RPL_INVITING

    public static final short RPL_INVITING

### RPL_ISON

    public static final short RPL_ISON

### RPL_KILLDONE

    public static final short RPL_KILLDONE

### RPL_LINKS

    public static final short RPL_LINKS

### RPL_LIST

    public static final short RPL_LIST

### RPL_LISTEND

    public static final short RPL_LISTEND

### RPL_LISTSTART

    public static final short RPL_LISTSTART

### RPL_LUSERCHANNELS

    public static final short RPL_LUSERCHANNELS

### RPL_LUSERCLIENT

    public static final short RPL_LUSERCLIENT

### RPL_LUSERME

    public static final short RPL_LUSERME

### RPL_LUSEROP

    public static final short RPL_LUSEROP

### RPL_LUSERUNKNOWN

    public static final short RPL_LUSERUNKNOWN

### RPL_MOTD

    public static final short RPL_MOTD

### RPL_MOTDSTART

    public static final short RPL_MOTDSTART

### RPL_MYPORTIS

    public static final short RPL_MYPORTIS

### RPL_NAMREPLY

    public static final short RPL_NAMREPLY

### RPL_NONE

    public static final short RPL_NONE

### RPL_NOTOPIC

    public static final short RPL_NOTOPIC

### RPL_NOUSERS

    public static final short RPL_NOUSERS

### RPL_NOWAWAY

    public static final short RPL_NOWAWAY

### RPL_REHASHING

    public static final short RPL_REHASHING

### RPL_SERVICE

    public static final short RPL_SERVICE

### RPL_SERVICEINFO

    public static final short RPL_SERVICEINFO

### RPL_SERVLIST

    public static final short RPL_SERVLIST

### RPL_SERVLISTEND

    public static final short RPL_SERVLISTEND

### RPL_STATSCLINE

    public static final short RPL_STATSCLINE

### RPL_STATSCOMMANDS

    public static final short RPL_STATSCOMMANDS

### RPL_STATSHLINE

    public static final short RPL_STATSHLINE

### RPL_STATSILINE

    public static final short RPL_STATSILINE

### RPL_STATSKLINE

    public static final short RPL_STATSKLINE

### RPL_STATSLINKINFO

    public static final short RPL_STATSLINKINFO

### RPL_STATSLLINE

    public static final short RPL_STATSLLINE

### RPL_STATSNLINE

    public static final short RPL_STATSNLINE

### RPL_STATSOLINE

    public static final short RPL_STATSOLINE

### RPL_STATSQLINE

    public static final short RPL_STATSQLINE

### RPL_STATSUPTIME

    public static final short RPL_STATSUPTIME

### RPL_STATSYLINE

    public static final short RPL_STATSYLINE

### RPL_SUMMONING

    public static final short RPL_SUMMONING

### RPL_TIME

    public static final short RPL_TIME

### RPL_TOPIC

    public static final short RPL_TOPIC

### RPL_TOPICWHOTIME

    public static final short RPL_TOPICWHOTIME

### RPL_TRACECLASS

    public static final short RPL_TRACECLASS

### RPL_TRACECONNECTING

    public static final short RPL_TRACECONNECTING

### RPL_TRACEHANDSHAKE

    public static final short RPL_TRACEHANDSHAKE

### RPL_TRACELINK

    public static final short RPL_TRACELINK

### RPL_TRACELOG

    public static final short RPL_TRACELOG

### RPL_TRACENEWTYPE

    public static final short RPL_TRACENEWTYPE

### RPL_TRACEOPERATOR

    public static final short RPL_TRACEOPERATOR

### RPL_TRACESERVER

    public static final short RPL_TRACESERVER

### RPL_TRACEUNKNOWN

    public static final short RPL_TRACEUNKNOWN

### RPL_TRACEUSER

    public static final short RPL_TRACEUSER

### RPL_UMODEIS

    public static final short RPL_UMODEIS

### RPL_UNAWAY

    public static final short RPL_UNAWAY

### RPL_USERHOST

    public static final short RPL_USERHOST

### RPL_USERS

    public static final short RPL_USERS

### RPL_USERSSTART

    public static final short RPL_USERSSTART

### RPL_VERSION

    public static final short RPL_VERSION

### RPL_WHOISCHANOP

    public static final short RPL_WHOISCHANOP

### RPL_WHOISUSER

    public static final short RPL_WHOISUSER

### RPL_WHOISSERVER

    public static final short RPL_WHOISSERVER

### RPL_WHOISOPERATOR

    public static final short RPL_WHOISOPERATOR

### RPL_WHOISIDLE

    public static final short RPL_WHOISIDLE

### RPL_WHOISCHANNELS

    public static final short RPL_WHOISCHANNELS

### RPL_WHOREPLY

    public static final short RPL_WHOREPLY

### RPL_WHOWASUSER

    public static final short RPL_WHOWASUSER

### RPL_YOUREOPER

    public static final short RPL_YOUREOPER

### ERR_NOSUCHNICK

    public static final short ERR_NOSUCHNICK

  " :No such nick/channel" - Used to indicate the nickname parameter supplied to a command is currently unused.

### ERR_NOSUCHSERVER

    public static final short ERR_NOSUCHSERVER

  " :No such server" - Used to indicate the server name given currently doesn't exist.

### ERR_NOSUCHCHANNEL

    public static final short ERR_NOSUCHCHANNEL

  " :No such channel" - Used to indicate the given channel name is invalid.

### ERR_CANNOTSENDTOCHAN

    public static final short ERR_CANNOTSENDTOCHAN

  " :Cannot send to channel" - Sent to a user who is either (a) not on a channel which is mode +n or (b) not a chanop (or mode +v) on a channel which has mode +m set and is trying to send a PRIVMSG message to that channel.

### ERR_TOOMANYCHANNELS

    public static final short ERR_TOOMANYCHANNELS

  " :You have joined too many \ channels" - Sent to a user when they have joined the maximum number of allowed channels and they try to join another channel.

### ERR_WASNOSUCHNICK

    public static final short ERR_WASNOSUCHNICK

  " :There was no such nickname" - Returned by WHOWAS to indicate there is no history information for that nickname.

### ERR_TOOMANYTARGETS

    public static final short ERR_TOOMANYTARGETS

  " :Duplicate recipients. No message \ delivered"

### ERR_

    public static final short ERR_

  - Returned to a client which is attempting to send a PRIVMSG/NOTICE using the user@host destination format and for a user@host which has several occurrences.

### ERR_NOORIGIN

    public static final short ERR_NOORIGIN

  ":No origin specified" - PING or PONG message missing the originator parameter which is required since these commands must work without valid prefixes.

### ERR_NORECIPIENT

    public static final short ERR_NORECIPIENT

  ":No recipient given ()"

### ERR_NOTEXTTOSEND

    public static final short ERR_NOTEXTTOSEND

  ":No text to send"

### ERR_NOTOPLEVEL

    public static final short ERR_NOTOPLEVEL

  " :No toplevel domain specified"

### ERR_WILDTOPLEVEL

    public static final short ERR_WILDTOPLEVEL

  " :Wildcard in toplevel domain" - 412 - 414 are returned by PRIVMSG to indicate that the message wasn't delivered for some reason. are returned when an invalid use of "PRIVMSG $" or "PRIVMSG #" is attempted.

### ERR_UNKNOWNCOMMAND

    public static final short ERR_UNKNOWNCOMMAND

  " :Unknown command" - Returned to a registered client to indicate that the command sent is unknown by the server.

### ERR_NOMOTD

    public static final short ERR_NOMOTD

  ":MOTD File is missing" - Server's MOTD file could not be opened by the server.

### ERR_NOADMININFO

    public static final short ERR_NOADMININFO

  " :No administrative info available" - Returned by a server in response to an ADMIN message when there is an error in finding the appropriate information.

### ERR_FILEERROR

    public static final short ERR_FILEERROR

  ":File error doing on " Generic error message used to report a failed file operation during the processing of a message.

### ERR_NONICKNAMEGIVEN

    public static final short ERR_NONICKNAMEGIVEN

  ":No nickname given" - Returned when a nickname parameter expected for a command and isn't found.

### ERR_ERRONEUSNICKNAME

    public static final short ERR_ERRONEUSNICKNAME

  " :Erroneus nickname" - Returned after receiving a NICK message which contains characters which do not fall in the defined set. See section x.x.x for details on valid nicknames.

### ERR_NICKNAMEINUSE

    public static final short ERR_NICKNAMEINUSE

  " :Nickname is already in use" - Returned when a NICK message is processed that results in an attempt to change to a currently existing nickname.

### ERR_NICKCOLLISION

    public static final short ERR_NICKCOLLISION

  " :Nickname collision KILL" - Returned by a server to a client when it detects a nickname collision (registered of a NICK that already exists by another server).

### ERR_USERNOTINCHANNEL

    public static final short ERR_USERNOTINCHANNEL

  " :They aren't on that channel" - Returned by the server to indicate that the target user of the command is not on the given channel.

### ERR_NOTONCHANNEL

    public static final short ERR_NOTONCHANNEL

  " :You're not on that channel" - Returned by the server whenever a client tries to perform a channel effecting command for which the client isn't a member.

### ERR_USERONCHANNEL

    public static final short ERR_USERONCHANNEL

  " :is already on channel" - Returned when a client tries to invite a user to a channel they are already on.

### ERR_NOLOGIN

    public static final short ERR_NOLOGIN

  " :User not logged in" - Returned by the summon after a SUMMON command for a user was unable to be performed since they were not logged in.

### ERR_SUMMONDISABLED

    public static final short ERR_SUMMONDISABLED

  ":SUMMON has been disabled" - Returned as a response to the SUMMON command. Must be returned by any server which does not implement it.

### ERR_USERSDISABLED

    public static final short ERR_USERSDISABLED

  ":USERS has been disabled" - Returned as a response to the USERS command. Must be returned by any server which does not implement it.

### ERR_NOTREGISTERED

    public static final short ERR_NOTREGISTERED

  ":You have not registered" - Returned by the server to indicate that the client must be registered before the server will allow it to be parsed in detail.

### ERR_NEEDMOREPARAMS

    public static final short ERR_NEEDMOREPARAMS

  " :Not enough parameters" - Returned by the server by numerous commands to indicate to the client that it didn't supply enough parameters.

### ERR_ALREADYREGISTRED

    public static final short ERR_ALREADYREGISTRED

  ":You may not reregister" - Returned by the server to any link which tries to change part of the registered details (such as password or user details from second USER message).

### ERR_NOPERMFORHOST

    public static final short ERR_NOPERMFORHOST

  ":Your host isn't among the privileged" - Returned to a client which attempts to register with a server which does not been setup to allow connections from the host the attempted connection is tried.

### ERR_PASSWDMISMATCH

    public static final short ERR_PASSWDMISMATCH

  ":Password incorrect" - Returned to indicate a failed attempt at registering a connection for which a password was required and was either not given or incorrect.

### ERR_YOUREBANNEDCREEP

    public static final short ERR_YOUREBANNEDCREEP

  ":You are banned from this server" - Returned after an attempt to connect and register yourself with a server which has been setup to explicitly deny connections to you.

### ERR_KEYSET

    public static final short ERR_KEYSET

  " :Channel key already set"

### ERR_CHANNELISFULL

    public static final short ERR_CHANNELISFULL

  " :Cannot join channel (+l)"

### ERR_UNKNOWNMODE

    public static final short ERR_UNKNOWNMODE

  " :is unknown mode char to me"

### ERR_INVITEONLYCHAN

    public static final short ERR_INVITEONLYCHAN

  " :Cannot join channel (+i)"

### ERR_BANNEDFROMCHAN

    public static final short ERR_BANNEDFROMCHAN

  " :Cannot join channel (+b)"

### ERR_BADCHANNELKEY

    public static final short ERR_BADCHANNELKEY

  " :Cannot join channel (+k)"

### ERR_NOPRIVILEGES

    public static final short ERR_NOPRIVILEGES

  ":Permission Denied- You're not an IRC operator" - Any command requiring operator privileges to operate must return this error to indicate the attempt was unsuccessful.

### ERR_CHANOPRIVSNEEDED

    public static final short ERR_CHANOPRIVSNEEDED

  " :You're not channel operator" - Any command requiring 'chanop' privileges (such as MODE messages) must return this error if the client making the attempt is not a chanop on the specified channel.

### ERR_CANTKILLSERVER

    public static final short ERR_CANTKILLSERVER

  ":You cant kill a server!" - Any attempts to use the KILL command on a server are to be refused and this error returned directly to the client.

### ERR_NOOPERHOST

    public static final short ERR_NOOPERHOST

  ":No O-lines for your host" - If a client sends an OPER message and the server has not been configured to allow connections from the client's host as an operator, this error must be returned.

### ERR_UMODEUNKNOWNFLAG

    public static final short ERR_UMODEUNKNOWNFLAG

  ":Unknown MODE flag" - Returned by the server to indicate that a MODE message was sent with a nickname parameter and that the a mode flag sent was not recognized.

### ERR_USERSDONTMATCH

    public static final short ERR_USERSDONTMATCH

  ":Cant change mode for other users" - Error sent to any user trying to view or change the user mode for a user other than themselves.

Constructor Detail

### IRCMessage

    public IRCMessage(IRCController controller,
                      int id)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD